image: cangol/android-gradle:latest

before_script:
  - export GRADLE_USER_HOME=/cache/.gradle

cache:
  paths:
    - $GRADLE_USER_HOME/caches/
    - $GRADLE_USER_HOME/wrapper/
    - $GRADLE_USER_HOME/build-cache/

check:
  script:
     - ${ANDROID_HOME}/tools/emulator -avd test -no-audio -no-window &
     - ./android-wait-for-emulator
     - adb shell input keyevent 82 &
     - gradle connectedAndroidTest
  artifacts:
      paths:
       - app/build/reports/
